List profiles
curl --request GET \
--url https://api.dataspike.io/api/v3/profiles \
--header 'ds-api-token: <api-key>'import requests
url = "https://api.dataspike.io/api/v3/profiles"
headers = {"ds-api-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'ds-api-token': '<api-key>'}};
fetch('https://api.dataspike.io/api/v3/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"profile_id": "01827ed4-c928-7a3c-9a30-7ab7cc169d11",
"name": "default",
"settings": {
"poi_required": true,
"poi_allowed_documents": [],
"face_comparison_required": true,
"face_comparison_allowed_documents": [],
"poa_required": false,
"allow_poi_manual_uploads": false,
"allow_desktop": false,
"disable_cross_check_by_bio": false,
"disable_cross_check_by_photo": false,
"disable_verify_poa_country_match_with_poi": false,
"countries": [
"FR"
],
"ui_settings": {},
"manual_field_settings": {
"enabled": true,
"description": "<string>",
"full_name": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"email": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"phone": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"country": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"dob": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"gender": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"citizenship": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"address": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"certificate_of_incorporation": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"ownership_document": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"custom_fields": [
{
"label": "<string>",
"caption": "<string>",
"order": 123,
"options": {
"choices": [
"<string>"
],
"type": "<string>"
}
}
]
},
"finish_screen_settings": {
"enabled": true,
"settings": {
"title": "<string>",
"main_text": "<string>",
"redirect_warning": "<string>",
"cta": "<string>",
"redirect_link": "<string>"
}
}
},
"organization_id": "<string>",
"is_default": true,
"created_at": "2023-07-18T15:32:13.000Z",
"description": "<string>",
"updated_at": "2023-07-18T15:32:13.000Z",
"created_by": "<string>",
"is_archived": true,
"link": {
"link_id": "LUH9NRBCLISYA492Y",
"expiration_minutes": 240,
"created_at": "2023-07-18T15:32:13.000Z",
"telegram_link": "<string>",
"web_link": "<string>",
"archived_at": "2023-07-18T15:32:13.000Z",
"manual_field_settings": {
"enabled": true,
"description": "<string>",
"full_name": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"email": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"phone": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"country": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"dob": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"gender": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"citizenship": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"address": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"certificate_of_incorporation": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"ownership_document": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"custom_fields": [
{
"label": "<string>",
"caption": "<string>",
"order": 123,
"options": {
"choices": [
"<string>"
],
"type": "<string>"
}
}
]
},
"finish_screen_settings": {
"enabled": true,
"settings": {
"title": "<string>",
"main_text": "<string>",
"redirect_warning": "<string>",
"cta": "<string>",
"redirect_link": "<string>"
}
}
}
}
],
"has_next": false
}Verification profiles
List profiles
List all current verification profiles
GET
/
api
/
v3
/
profiles
List profiles
Authorizations
Query Parameters
Current page
Limit of returned items per page
⌘I